timeouts:
  job:
    minutes: 130
  connection:
    minutes: 2
context:
  test_character_delay: 10
device_type: x15
job_name: linux-mainline-oe--ltp-quickhit-mainline-821
priority: high
visibility: public
metadata:
  git branch: mainline
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
  git commit: v5.5-rc1-12-g6794862a16ef
  git describe: v5.5-rc1-12-g6794862a16ef
  make_kernelversion: 5.4-rc8
  kernel-config: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm/multi_v7_defconfig%2Blkft/gcc-8/kernel.config
  kernel-defconfig: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/821/defconfig
  build-url: http://ci.staging.lkft.org/job/kernel-arch-complete/821/
  build-location: http://storage.staging.lkft.org//mainline/master/v5.5-rc1-12-g6794862a16ef
  toolchain: unknown
  series: lkft
  email-notification: ''
  ltp-quickhit-tests__url: unknown
  ltp-quickhit-tests__version: unknown
  ltp-quickhit-tests__revision: unknown
protocols:
  lava-lxc:
    name: lxc-target
    template: debian
    distribution: debian
    release: buster
    arch: amd64
    mirror: http://deb.debian.org/debian
actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 15
    to: lxc
    packages:
    - wget
    - unzip
    - abootimg
    - android-tools-fsutils
    - cpio
    - curl
    - e2fsprogs
    - file
    - git
    - libguestfs-tools
    - mkbootimg
    - xz-utils
    os: debian
- boot:
    namespace: tlxc
    prompts:
    - root@(.*):/#
    timeout:
      minutes: 5
    method: lxc
- test:
    namespace: tlxc
    timeout:
      minutes: 10
    definitions:
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/android-platform-tools/install.yaml
      name: install-android-platform-tools-r2800
      parameters:
        LINK: https://dl.google.com/android/repository/platform-tools_r28.0.0-linux.zip
- deploy:
    timeout:
      minutes: 40
    to: download
    namespace: target
    images:
      dtb:
        url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm/multi_v7_defconfig%2Blkft/gcc-8/dtbs/am57xx-beagle-x15.dtb
      modules:
        url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm/multi_v7_defconfig%2Blkft/gcc-8/modules.tar.xz
      rootfs:
        url: http://storage.staging.lkft.org/rootfs/oe-lkft-sumo/am57xx-evm/62/rpb-console-image-lkft-am57xx-evm-20190923201632.rootfs.ext4.gz
        apply-overlay: true
    os: oe
- test:
    namespace: tlxc
    timeout:
      minutes: 60
    definitions:
    - from: inline
      name: kir
      path: inline/kir.yaml
      repository:
        metadata:
          description: Squash kernel, dtb and modules into rootfs
          format: Lava-Test Test Definition 1.0
          name: resize-rootfs
        run:
          steps:
          - pwd
          - cd /lava-lxc
          - git clone -b master https://github.com/linaro/kir.git
          - ./kir/lava/board_setup.sh x15
- deploy:
    timeout:
      minutes: 40
    to: fastboot
    namespace: target
    images:
      boot:
        url: lxc:///boot.img
      rootfs:
        url: lxc:///rpb-console-image-lkft.rootfs.img
        apply-overlay: true
    os: oe
- boot:
    namespace: target
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - root@(.*):[/~]#
    - 'root@am57xx-evm:'
    timeout:
      minutes: 15
    method: u-boot
    commands:
    - setenv fdtfile am57xx-beagle-x15.dtb
    - setenv console ttyS2,115200n8
    - setenv mmcdev 1
    - setenv bootpart 1:9
    - run mmcboot
- test:
    namespace: target
    timeout:
      minutes: 45
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tmp-disk
          description: Mount local disk for tmp space
        run:
          steps:
          - export STORAGE_DEV=$(lava-target-storage SATA || lava-target-storage USB)
          - test -n "${STORAGE_DEV}" || lava-test-raise "STORAGE_DEV not found; job
            exit"
          - echo "y" | mkfs -t ext4 ${STORAGE_DEV} || lava-test-raise "mkfs -t ext4
            ${STORAGE_DEV} failed; job exit"
          - mkdir -p /scratch
          - mount ${STORAGE_DEV} /scratch && echo "mounted" || lava-test-raise "mount
            ${STORAGE_DEV} failed; job exit"
          - df -h
          - mount
      name: prep-tmp-disk
      path: inline/prep.yaml
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: quickhit
        SKIPFILE: skipfile-lkft.yaml
        BOARD: x15
        BRANCH: mainline
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: 3
        LTP_TMPDIR: /scratch
      name: ltp-quickhit-tests
